
Foreman - Refactor #11709

Improve DNS conflict timeout handling

09/07/2015 06:48 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Lukas Zapletal   

Category: DNS   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2680

  

Description

We hardcode timeout to three seconds and our message should contain nicer error (at least the resolver server we use).

Related issues:

Related to Foreman - Bug #11850: DNS error message assumes two nameservers Closed 09/16/2015

Is duplicate of Foreman - Feature #2533: Operation FAILED: NET::ERROR when dn... Duplicate 05/21/2013

Associated revisions

Revision da5a9c4e - 09/16/2015 07:43 AM - Lukas Zapletal

Fixes #11709 - better error for DNS conflict timeouts

History

#1 - 09/07/2015 07:37 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2680 added

- Pull request deleted ()

#2 - 09/07/2015 08:49 AM - Lukas Zapletal

- Is duplicate of Feature #2533: Operation FAILED: NET::ERROR when dns lookups fail.  Maybe a more descriptive error? added

#3 - 09/16/2015 07:47 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#4 - 09/16/2015 07:54 AM - Dominic Cleal

- Related to Bug #11850: DNS error message assumes two nameservers added

#5 - 09/16/2015 08:03 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset da5a9c4ea73d2440341d79e61b86063fda7845d8.
